$white: #fff

%remain-steps
  &:before 
    content: ''
    font-family: inherit
    font-weight: 700
  &:after
    background-color: $gray-menu-font
    -webkit-transition: all 0.5s ease
    -moz-transition: all 0.5s ease
    -o-transition: all 0.5s ease
    -ms-transition: all 0.5s ease
    transition: all 0.5s ease

.multi-steps
  display: table
  table-layout: fixed
  width: 100%
  > li
    font-size: 20px
    line-height: 36px
    text-align: center
    display: table-cell
    position: relative
    color: $header-blue

    &:before
      //content: ''
      display: block
      margin: 0 auto 4px
      background-color: $header-blue
      width: 25px
      height: 25px
      line-height: 32px
      text-align: center
      font-weight: bold
      border:
        width: 3px
        style: solid
        color: $header-blue
        radius: 50%

    &:after
      content: ''
      height: 3px
      width: 86%
      background-color: $header-blue
      position: absolute
      top: 14px
      left: 57%
      z-index: 0
      -webkit-transition: all 0.5s ease
      -moz-transition: all 0.5s ease
      -o-transition: all 0.5s ease
      -ms-transition: all 0.5s ease
      transition: all 0.5s ease

    &:last-child
      &:after
        display: none

    &.is-active
      @extend %remain-steps
      &:before
        background-color: $header-blue
        border-color: $header-blue
        background-image: none

      ~ li
        color: #808080
        @extend %remain-steps
        &:before
          background-color: transparent
          border-color: $gray-menu-font